Save to Sent was successful, but "Copying to sent folder" doesn't finish, or zombie "Copy complete"

REOPENED
Unassigned

Status

MailNews Core
Composition
REOPENED
10 years ago
3 months ago

People

(Reporter: Nelson Bolyard (seldom reads bugmail), Unassigned)

Tracking

Dependency tree / graph
Bug Flags:
blocking-thunderbird3 -

Firefox Tracking Flags

(Not tracked)

Details

(Whiteboard: [no "me too" comments][mail.compose.max_recycled_windows=0 is perhaps a workaround][has protocol log])

User Story

Save is successful but still shows an error to the user.

(Please express your interest in this bug by CCing without comment, unless you are providing previously unknown information or providing the patch, or providing information requested by a developer.)

Attachments

(1 attachment)

This is an intentional duplicate of bug 206408.

Using SM trunk build 20080102, after sending an email message, the dialog 
that says "Copying message to Sent folder" often does not go away by itself,
and must be canceled.  

The relevant "sent" folder is part of a POP3 account.  

Steps to reproduce:
1. Fire up SM browser.  Do not use any mailnews windows.
2. Visit web page with mailto link, click it, mail composition window appears
3. Compose email and click send
4. User is prompted to enter password for SMTP account.  Password is 
entered successfully on first try.  
5. Composition window disappears, leaving a spinning dialog saying "copying
to sent folder".
20080102, or 20080120? Other than the 02, that sounds like bug 413200.
(Reporter)

Comment 2

10 years ago
0102.  Problem has been observed daily and continuously for months.  
Perhaps there is also a regression that has occurred more recently,
but my point was that whatever was fixed for bug 206408 was evidently
not the only cause of the problem.  Any regression that has happened
since then is also not the only remaining cause.

Comment 3

10 years ago
I sometimes get an error message that it can't be saved to sent folder. I think this is because something is already happening (compacting?). In any event, there is no way out, other than to hope it really did indeed send the message. "Hope" doesn't make for good PR. If nothing else, it would be nice to have it ask if you want to save it to drafts or unsent or something "more graceful".
(Reporter)

Comment 4

10 years ago
Hmm.  I haven't seen this problem since updating to  Gecko/2008012501.
In a few more days, if I still haven't seen it, I'll resolve this bug,
or change it.  Previously I was seeing it on both POP3 and IMAP accounts.

The new behavior seems to be this:
Each time a mail message is sent, the progress dialog stays up well past
the sending of the message, while saying "copying to sent folder", for 
some time, after which it disappears.  The amount of time that the dialog
remains up after the message is sent increases with use, being longer each
time a message is sent than it was the previous time, (up to some limit?).  
When the process is restarted, the dialog "hang" time goes back to a small
initial value.

Comment 5

10 years ago
(In reply to comment #0)
> This is an intentional duplicate of bug 206408.
> 
> Using SM trunk build 20080102, after sending an email message, the dialog 
> that says "Copying message to Sent folder" often does not go away by itself,
> and must be canceled.  
> 
> The relevant "sent" folder is part of a POP3 account.  
> 
> Steps to reproduce:
> 1. Fire up SM browser.  Do not use any mailnews windows.
> 2. Visit web page with mailto link, click it, mail composition window appears
> 3. Compose email and click send
> 4. User is prompted to enter password for SMTP account.  Password is 
> entered successfully on first try.  
> 5. Composition window disappears, leaving a spinning dialog saying "copying
> to sent folder".
> 

I have the same problem you describe.
(Reporter)

Comment 6

10 years ago
I have not seen this problem in trunk builds since I filed comment 4 above.
I do now often see the Copying dialog remain up for as much as 30 seconds
after (it seems) like it should have gone away, but eventually it goes away.
I guess we could morph this bug into one that reports "it doesn't go away 
in a timely fasion", or that could be a separate bug.  

One other strange issue that seems somewhat related.  Now, sometimes when I
go to reply to a message, that same copying dialog appears for a while, 
before the composer dialog comes up.  That's VERY strange.  But it probably
should be a separate bug.  
Status: NEW → RESOLVED
Last Resolved: 10 years ago
Resolution: --- → WORKSFORME
(Reporter)

Comment 7

10 years ago
Well, as I write this, there is a progress dialog saying "Copy Complete"
that has been spinning for many minutes now, with no signs of going away.

I have noticed in the resent past that it seems to sometimes require some
mouse activity, or moving the dialog around, to get it to go away, but
this dialog is not going away despite much of that.  

This build is identified as Gecko/2008020702 
Status: RESOLVED → REOPENED
Flags: blocking-thunderbird3?
Resolution: WORKSFORME → ---

Comment 8

10 years ago
Is this bug a copy of bug 390136?

Comment 9

10 years ago
I have seen a variety of this problem for >1 year now...didn't use to exist.

I either get dialog "Message cannot be saved to sent folder" or dialog for send stay up continuously (usually the former).

This has nothing to do with compaction or size of Sent folder. It happens upon hitting my corp exchange server in addition to my own IMAP server.

I consider it a P1 as I am about to ditch Tbird due to this continuously happening...only temp workaround is to add myself as CC in all messages.

Using 'local' sent folder isn't an option for those wanting IMAP server-side.

Comment 10

10 years ago
I can only speak about TB2, but as non of the bugs have been closed/resolved I assume the problem still exists in the Trunk.

There are other bugs that deal with IMAP specifically. The POP3 and IMAP problems might look the same but probably have different underlying problems. If I am not mistaken this bug is related to POP3.

When this happens on my side in TB2 (pop3 only), deleting the actual MSF file of the folder that can not be copied to always solves the problem.
(Assignee)

Updated

10 years ago
Product: Core → MailNews Core
I haven't seen this problem in shredder in a long time.  Is anyone seeing this with recent shredder builds?

Denying blocking based on the lack of recent activity, we can revisit if needed.
Flags: blocking-thunderbird3? → blocking-thunderbird3-

Comment 12

9 years ago
for the imap case, I reduced the timeout for imap appends considerably, which is probably why you haven't seen it.

Comment 13

9 years ago
I have also had this problem for about 2 years (or maybe more). I currently run Vista, but have been an active Seamonkey / Mozilla user for a long time. Its one of those bugs that you just ignore for ages, until one day you just go.... sod, it there must be a fix!

Oh well, maybe in another couple of years.

Comment 14

9 years ago
(In reply to comment #13)
> I have also had this problem for about 2 years (or maybe more). I currently run
> Vista, but have been an active Seamonkey / Mozilla user for a long time. Its
> one of those bugs that you just ignore for ages, until one day you just go....
> sod, it there must be a fix!
> 
> Oh well, maybe in another couple of years.


Sorry current build is SeaMonkey 1.1.14

Mozilla/5.0 (Windows; U; Windows NT 6.0; en-US; rv:1.8.1.19) Gecko/20081204 SeaMonkey/1.1.14

Comment 15

9 years ago
+1

Mozilla/5.0 (Windows; U; Windows NT 5.1; nl-NL; rv:1.8.1.19) Gecko/20081204 SeaMonkey/1.1.14

Comment 16

9 years ago
Is there a bug report for the IMAP version of this? I can't find it, if there is.

Running TB2 on XPPro. One mail server running Dovecot POP3+IMAP/Sendmail and the other running Dovecot POP3+IMAP/Postfix. Also tried (w/Postfix): CourierImap and Cyrus-IMAP with the same results.

TB2 simply will not save to any remote Sent folder. It doesn't matter if the Sent folder is a child of INBOX (INBOX.Sent) or stand-alone (Sent).

I modified "Tools->Account Settings...->Server Settings...->Advanced->Maximum number of server connections to cache" to equal "1" (default="5") and I no longer wait for the "Copying..." message to go away, however still nothing is copied, and no notice that the copy was not saved. POP3, IMAP, whatever. TB2 will ONLY save a copy to a local folder.

How is it that this has gone unattended to for so long? It's basic IMAP functionality. Understanding that TB/Moz developers are working closely together, but please let's attend to this. POP3 is not long for this world and IMAP should be the focus.

Comment 17

9 years ago
We all use IMAP, and copying to the imap sent folder works for all of us so it's not as simple as fcc to imap sent doesn't work...you might try TB 3.0 b2, but I suspect there's something about your profile or setup that's causing problems.

You might try explicitly picking the sent folder on your imap server from the account settings "Other" drop down and see if that helps...

Comment 18

9 years ago
Hello

I´m using TB3b2 and TB3b3 on WinXP SP3 with qmail + Courier IMAP server.

1 - When server and workstation is in the same network (local) everything is fine, I sent message (with or without attachments) and the message was sent and copying to sent forder (IMAP)

2 - When I´m in other network (remotely) and I´m sent a simple message without attachment, the message goes and message was copying to Sent folder

3 - When I´m in other network (remotely) and I´m trying sent message WITH attachment (less than 1 MB) the message goes, but when TB3 starting to copy sent message to Sent folder, the progress bar works too slow and when complete 100% the progress bar starts again (slowly) and when finish 100% appears an error message "There is an error to copy to sent folder, retry ?" (maybe this message was translate wrong, because I´m using pt_BR version)

Comment 19

9 years ago
If someone needs test, I can open a test account in server to do this.


(I have about 130 accounts with TB3 and about 20 accounts with 
remote access)

Any clue will be read carefully


Thanks

Comment 20

9 years ago
I still get a non-modal dialog with text 'Copy complete.' that stays on the screen forever after sending a message over imap or smtp. 

This issue still occurs with Seamonkey 2.0 Beta2pre on Windows. It occurred continuously also with the 1.0 series. It also occurs when I create a new profile.

Mozilla/5.0 (Windows; U; Windows NT 5.1; en; rv:1.9.1.3pre) Gecko/20090813 SeaMonkey/2.0b2pre
To all problem reporters for IMAP,
  Comment #9                From Mike Klein     2008-04-13
  Comment #13 / Comment #14 From Michael Naylor 2009-01-28
  Comment #15               From niek           2009-02-02
  Comment #16               From James Butler   2009-02-10
  Comment #18               From Marco Varanda  2009-08-03

As seen in original report(Comment #0) thru Comment #7 by bug opener,
this bug is mainly for local mail folder case(server communication is irrelevant),
and original issue is next:
  a) Endless "Copying to sent folder"
     (copy to Sent is probably ended normally, because local mail folder)
  b) Zombie 'Copy complete.' message
     (phenomenon after successful copy to Sent)
As Marcel Berteler says in Comment #10, all of you are better to open separate bug with sufficient data for problem analysis such as IMAP log, because IMAP case is affected by issues in communication with IMAP server.

FYI.
Endless "Copying to sent folder" of IMAP could be observed by next test with Tb trunk(2009/8/13 build).
> (1) Delete [Imap]/Sent at Gmail Web Interface
> (2) Create new profile, create a new Gmail IMAP account, never login.
> (2) Restart Tb, Never touch IMAP account, Change draft folder=Drafts (==Gmail Label of [Imap]/Sent)
> (3) Compose a mail, wothout access to IMAP server
>     Send => password prompt for SMTP => Enter correct password => Send is OK
> (4) Several tries of login is seen in IMAP log, and all of them fails.
>     (Login atempt even if no saved password. It's bug 508381.)     
>     => Endless "Copying to sent folder"
>        (I'm not sure password promt was issued or not)
Above phenomenon looks similar phenomenon to original problem(comment #0) of this bug.
> Original : "Sent mail copy task" doesn't seem to be terminated properly in some situations.
> Above    : Termination of "Sent mail copy task" followed by retry doesn't seem to be executed properly in some situations.
However, "some situations" is apparently different.
> Original : Timing related issue(task scheduling) is suspected.
>            "copy to Sent folder" itself looks ended normally.
> Above    : Error handling issue of IMAP is suspected.
>            "copy to Sent folder" itself is not executed yet.

Even if same external symptom of endless "Copying to sent folder", it's not always same problem, as different crash is different crash even if "Tb crashed" is same.
To all problem reporters for IMAP, please open separate bug with sufficient data for problem analysis such as IMAP log, with clear description of conditions or steps to reproduce.
(In reply to comment #20 From niek)
> I still get a non-modal dialog with text 'Copy complete.'
> that stays on the screen forever after sending a message over imap or smtp. 

It sounds same phenomenon as "Zombie Copy complete" part of original problem.
IMAP? Local mail folder? Both?
"sent mail copy to Sent folder" itself is done? Or not done?

> This issue still occurs with Seamonkey 2.0 Beta2pre on Windows.
> It occurred continuously also with the 1.0 series.

How frequently does your problem occur?
Any mail? Large mail only? Even with small mail?
Auo-save=On? What interval?
Phenomenon is always endless "Copy complete" instead of endless "Copying to sent folder"?

> It also occurs when I create a new profile.

Which phenomenon? Endless "Copying to sent folder"? Endless "Copy complete"? Both? 
As I wrote in Comment #21, phenomenon of endless "Copying to sent folder" can be seen if just after IMAP account creation.
Same case as one I described in Comment #21?

Comment 23

8 years ago
Created attachment 409016 [details]
logs mailnews imap:5 and smtp:5

Hi,
I noticed that with TB3 beta4, I have this error message when I, while sending a message, close the main window.

1. Open new message
2. Send
3. Close the main window before message is sent out
4. Error

Expected that under 4, there is no error message that the e-mail cannot be copied to 'Sent'.

I checked 2 things.
a) Folder 'Sent' set-up under 'Folder & Copies' as "Sent" Folder on: imap  account
b) as 'Others', selecting specifically "Sent" as listed for the IMAP account.

I don't know how interesting it might be, but using TB3 beta 4 under linux or win, I noticed that when while sending a message, if the main TB window is closed (remaining only the window of the message being sent), I get this error message.
I'm not using google imap.

Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.9.1.5pre) Gecko/20091020 Shredder/3.0pre

Running Kubuntu 9.10. TB package from:
http://ppa.launchpad.net/ubuntu-mozilla-daily/ppa/ubuntu jaunty main

Comment 24

8 years ago
TB3 has been released, with this bug still not fixed, although it was tagged as blocking. Very disappointing, for a years-old bug (also see #507200, #392622, #227995, #238764, #413240, #522986). If the diagnose/fix of this bug is so difficult, I would recommend disabling the functionality altogether, and allowing copies to be placed only in local storage. At least this will stop the bug reports.

Updated

8 years ago
Whiteboard: [has protocol log]

Comment 25

8 years ago
In Thunderbird 3.0.X I was reliably getting a hang on copying messages to Draft or Sent folders whenever the app had been open for a period. My impression was that the problem was triggered when Thunderbird auto-fetched email. My workaround was to restart Thunderbird whenever I wanted to compose an email, ensuring that this was done quickly before the problem kicked in, often by composing first in a remote text editor.

When I changed all my message filters away from "after classification" options (which I had assumed sequenced filter processing after junk processing), the hanging problem happened much less regularly, but in some ways is more annoying because it happens unexpectedly.

Note that I think this problem is related to another issue I've been experiencing in both TB 2.0.x and 3.0.x, regarding marking and moving junk, and running filters:

When messages are downloaded after I start TB, newly-download junk messages are correctly marked, and most are moved to the Junk folder (although some can marked but not moved), and filters are correctly run on the new messages. But after some time, possibly related to the auto-fetch trigger of the send/draft-hang problem, a smaller proportion of incoming junk is correctly marked, but only a fraction is moved to the Junk folder. As well, some filters do not run on the new messages. The junk problem is probably related to these problematic filters.

Manually running junk controls and filters on these folders to fix the message residue has no effect -- I must restart TB before these manual operations work. On two of my mail accounts manually running the junk controls has no effect -- I am forced to run the Delete Mail Marked as Junk command after restarting. There is evidence that these folders are locked, because sometimes using the delete button on messages has no effect.

Overall, this hanging issue, and these other problems, seem to be related to both filters and mail server settings. It looks like something is triggering an unresolved lock on certain folders. I will play with my filter and server settings to try to pinpoint the trigger for each problem.

Comment 26

8 years ago
Further to Comment #25:

I've found that Thunderbird becomes unable to copy to Draft or Sent folders after some large database dump emails that I receive daily have been fetched from a POP server. A restart clears the problem.

I haven't yet investigated whether these files are causing a problem simply because of their size (4.7MB and 0.14MB), their size plus their text nature, or due to some other aspect.

Comment 27

7 years ago
what do we get out of comment 23 and protocol log?

Comment 28

7 years ago
I got this issue after installing thunderbird v3.1.7. When I tried to send email, the issue occured.

I found out my "Settings -> Server Settings -> Server Name" was wrong. I filled "pop3.mycompany.com" for the Server Name when the correct setting should be "pop.mycompany.com". After I fixed it, the problem gone and the "Sent" folder was created successfully after I sent email.
my server name isn't wrong.

Comment 30

7 years ago
I think my port number was also wrong too but I forget what was the number.

Btw, after the problem gone, I can't reproduce the bug anymore. Maybe because the "Sent" folder is already exist.

Comment 31

7 years ago
+1

Workarounds not relevant.  Running TB 3.1.12.  secure96.inmotionhosting.com is my outgoing mail server using SSL/TLS on port 465.  Mainly have issue with large emails with attachments where the copying to Sent hangs part way through the process.

Comment 32

7 years ago
Add me to the Interested Parties.
With the update to T-Bird 6.0 a number of defects have appeared and one of them is this in-ability to write to the SENT folder -- on a new account -- using STARTTLS.

the message had SENT ok indicating contact to the outbound mailserver was correct

on putting T-Bird into "safe" mode the missing folder popped up and the request completed.

addons: LIGHTNING,ENIGMAIL. Win7(64)Home Premimum.
Duplicate of this bug: 507200
Duplicate of this bug: 599321

Comment 35

6 years ago
After a long absence, I'm getting these again in news posts using the SeaMonkey 2.7 betas.  The latest was just today in a post to mozilla.dev.apps.seamonkey using 2.7b4.  I do fear something has regressed.  Don't _think_ I've had a failure sending mail, but am not sure. (I run both POP3 & IMAP accounts.)

Mozilla/5.0 (Macintosh; Intel Mac OS X 10.6; rv:10.0) Gecko/20120119 Firefox/10.0 SeaMonkey/2.7
OS: Windows XP → All
Hardware: x86 → All
(In reply to Rich Gray (:rbgray) from comment #35)
> I'm getting these again in news posts using the SeaMonkey 2.7 betas.

Because NNTP has regression of bug 702038(duped to bug 695309 because patch is provided by this one, fixed by Tb 12), anything wrong may happen with nntp. Bad notification from nntp may interfare activites such as Save to Sent under composition window, and some interferes may produce endless "Copying to sent folder..." or zombie "Copy complete". Can you see problem with nntp in latest trunk daily build(Sm2.9a1)?
Summary: after sending message, "Copying to sent folder" doesn't finish → after sending message, "Copying to sent folder" doesn't finish, or zombie "Copy complete" is generated
Summary: after sending message, "Copying to sent folder" doesn't finish, or zombie "Copy complete" is generated → after sending message, "Copying to sent folder" doesn't finish even after Save to Sent is successfull, or zombie "Copy complete" is generated after successfull Save to Sent

Comment 37

6 years ago
I have this bug on 2.7 as well... and it is quite annoying... would be nice to get it fixed ASAP.

Comment 38

6 years ago
I am noticing this in TB 10, imap, on over 150 workstations!  After a long period of inactivity, I attempt to send an email with only a few sentences and no attachments.  It attempts to send then returns and error that it is unable to copy to the sent items folder.  I cancel it and it tells me that it was sent but that a copy was unable to be copied to the sent folder.  Canceling it allows me to save a copy in the local drafts folder.  I cannot copy it to the sent folder until I restart TB.

When this is occurring I have also noticed that I cannot get to my SUBSCRIBE folders under File, Subscribe.  It simply will not display the folders, as if it has disconnected.

I am having similar issues in Outlook and Outlook Express and POP when users attempt to send after a long period of inactivity.  In Outlook the users can simply press send/receive again and it appears to clear the problem.  Not sure if these are related or not.

Our isp is Level3 my email provider is godaddy.

I don't have this problem if I set the sent and draft folders to local, however after periods of inactivity I still cannot display the Subscribed folders....

I have made sure the sent folder is set to send copies to Sent Items as it is named on the godaddy webmail. I have found that even though drafts is named the same I still must choose it manually or it doesn't work all the time.

This problems doesn't seem to matter as to which port I am using, secured or not...

Godaddy does require authentication....
(In reply to ShellyR from comment #38)
> When this is occurring I have also noticed that I cannot get to my SUBSCRIBE
> folders under File, Subscribe.  It simply will not display the folders, as
> if it has disconnected.
> 
> I am having similar issues in Outlook and Outlook Express and POP when users
> attempt to send after a long period of inactivity.  In Outlook the users can
> simply press send/receive again and it appears to clear the problem.  Not
> sure if these are related or not.

> I don't have this problem if I set the sent and draft folders to local,
> however after periods of inactivity I still cannot display the Subscribed
> folders....

This bug is not for generic issue of "'Copying to sent folder' message doesn't finish".
As written in bug summary, this bug is for "even though saving to Sent is successfully done" case. This bug is never for problem of "saving to Sent fails" or "saving to Sent is impossible".
Please don't add comment on different problem from this bug's problem, unless analysis of different case will surely help to resolve this bug's problem.

It sounds IP address assignment change by DHCP while Tb or Outlook is running.
Tb has problem in this case when IMAP. If IDLE command is used and if such IP address change happens while idling, Tb can't process error in connection well.
Because SMTP connection is established upon each mail sending, PC's IP address change doesn't affect SMTP mail sending of Tb, unless PC's IP address change happens just while Tb is sending very lare mail.
When your problem occurs, try "go Work Offline, then go back to Work Online", please. Try disabling IDLE command use too, please. (Server Settings/Advanced)

Comment 40

6 years ago
This bug appears to be the same as this one:

Bug 66861

Comment 41

6 years ago
Not sure if this will add anything to the discussion. 

Running Tb 11.0 (Check for updates indicates "Thunderbird is up to date" as of 2012-03-27 at 11:40AM EST)

1) I accidently clicked and dragged the mouse across the Tb window and ended up with a “Trash” sub folder under the main “Sent” folder somehow (still not entirely sure what I did). 
2) Immediately after that I would get the endless “Copying to Send Folder” problem whenever I tried to send an email. Emails were being sent, but I had to cancel the copy, and they never did get copied to the sent folder (no record of the send anywhere).
3) Deleted the Trash sub folder,  restarted Tb but still the problem persisted. 
4) Based on a suggestion on this site, did File->Offline->Work Offline, and then restarted Tb
5) Problem resolved, everything working normally again.

Comment 42

6 years ago
I'm still getting this bug in Seamonkey 2.8 (Also have had it in previous versions). I sure would like this bug fixed!

As WADA stated in a previous msg:
> This bug is not for generic issue of "'Copying to sent folder' message doesn't finish".
> As written in bug summary, this bug is for "even though saving to Sent is successfully done" 
> case. This bug is never for problem of "saving to Sent fails" or "saving to Sent is 
> impossible".

I have tried many of the suggestions in this Bug 413240, but nothing has solved the problem (although the problem is inconsistent for me..)

Comment 43

6 years ago
I have used SeaMonkey Mail from version 1.0 to 2.9a2 and all versions in between. My case is of the "zombie "Copy complete" is generated after successful Save to Sent" variant. I had this in ALL versions, which would cover the last 6 years and it was always on Windows which is the OS I use mostly. This seems to be an eternal bug. I am NOT using IMAP. This happens with pop3 accounts, and my estimate is that it happens in 1 out of every 5 sent messages. I would want to search for a cause (I do build from source now and then) if I knew where to start.

Comment 44

6 years ago
I have exactly the same problem for years .... POP3/SMTP account, big attachment, the mail was written to the sent folder.
Pop-up window as:
Status: Copy complete.
Progress: a blue bar moving from the left to the right all the time
Win7 pro SP1 and Build identifier: Mozilla/5.0 (Windows NT 6.1; rv:11.0) Gecko/20120312 Firefox/11.0 SeaMonkey/2.8

Due to the fact that this issue is reproductible ... could it be corrected ?

Comment 45

5 years ago
I'm not seeing the zombie 'Copy complete.' message with the last stable and beta builds of SeaMonkey for several months now. I'm on SeaMonkey 2.16 Beta 4 right now.
Anyone still experiencing this issue?

Comment 46

5 years ago
Running TB 17.0.7 and still having this problem with big attachments and copying to Gmail-based "Sent Mail" folder.  Besides TB complaining, system sometimes hangs, but after killing TB and restarting, it's there in the Sent Mail folder.

Comment 47

4 years ago
I am still experiencing this problem using Thunderbird 24.3.0.  And I have a customer who is having the same issue.

Karen

Comment 48

4 years ago
I'm likewise still regularly encountering this problem in Thunderbird 24.3.0 (see Comment 25). My workaround is to always restart Thunderbird before composing an email, though the problem can still happen if mail gets received during composition. Recovery then involves copying the email to clipboard, restarting Thunderbird, reconstructing the email from a paste, and re-sending.

As a follow-up to Comment 26: the problem wasn't fixed when I no longer received large database dump emails. Any sort of email fetch can trigger the problem.

Again, the other probably-related symptom is that junk mail stops being moved automatically to the Junk folder -- they're marked as junk but stay in the Inbox. Movement out of the Inbox also halts for emails that match filters.

Comment 49

4 years ago
Exactly the same problem as the one aforementioned persisting from TB 17 to 24.4.0 (with POP account). I´ve created a new profile with no success.

Comment 50

4 years ago
Have had this same problem consistently (and constantly) with IMAP account using Thunderbird, SeaMonkey, and Eudora. :-(

What I don't understand is that other people within my company, connecting to the same IMAP server (with similar credentials, associated with our company's mail account) DO NOT have this problem using Thunderbird! Why just me? Makes no sense that it would be inconsistent like this.

Our mail host/server is 3essentials. (webmail15.3essentials.com)

I use eMclient instead. Great program...however, I don't have a problem with the 'Sent Folder' or SMTP server with that email client, instead that client has an issue in consistently synching my IMAP (Incoming) server properly. 

I can't win. And...I would hate having to start using Outlook!
(In reply to TeatroJon from comment #50)
> Have had this same problem consistently (and constantly) with IMAP account
> using Thunderbird, SeaMonkey, and Eudora. :-(
> 
> What I don't understand is that other people within my company, connecting
> to the same IMAP server (with similar credentials, associated with our
> company's mail account) DO NOT have this problem using Thunderbird!
> Why just me? Makes no sense that it would be inconsistent like this.

FYI.

It's due to following in some cases;
  Your setting is different from other ordinal/normal peoples.
    For example, other ordinal/normal peoples won't use special setting which you deeply love.
  Your behavior is different from other ordinal/normal peoples.
    For example, other ordinal/normal peoples won't do many clicks at many places while mail sending.
In any case, such special setting or such special behavior tends to produce timing related problems of a software.

I know this kind of problem on actual software in actual environment.
  In our customer, a problem very frequently occurred on a specific user only.
  When I visited the customer, and when I watched the user's actions,
  I found that the specific user always clicks a specific UI elenemt B just after click of UI
  element A.
  After trouble shooting of phenomenon just after such special action by a user,
  I could discover bug of of our software:
    if element B is clicked just after click of A, before completion of process invoked by click of A,
    control block of the software is broken.

Comment 52

4 years ago
(In reply to Mark James from comment #48)
> I'm likewise still regularly encountering this problem in Thunderbird 24.3.0
> (see Comment 25). My workaround is to always restart Thunderbird before
> composing an email, though the problem can still happen if mail gets
> received during composition. Recovery then involves copying the email to
> clipboard, restarting Thunderbird, reconstructing the email from a paste,
> and re-sending.
> 

> 
> Again, the other probably-related symptom is that junk mail stops being
> moved automatically to the Junk folder -- they're marked as junk but stay in
> the Inbox. Movement out of the Inbox also halts for emails that match
> filters.

I just started getting this problem with version 24.4. I have tried the same method as Mark James (Comment #48) by restarting Thunderbird before composing a message but it doesn't always solve the problem. I've learned that I must copy the text of my message into the clipboard so I can recompose it if I have to cancel the send and restart Thunderbird because the message is NOT saved as a Draft or in the Sent folder. I have tried saving as a draft and the message window goes light gray and click activity is disabled.

I have also had the problem that Mark James mentions about the junk mail not being being "moved automatically to the Junk folder -- they're marked as junk but stay in the Inbox. Movement out of the Inbox also halts for emails that match filters." I had not tied it to this Copying to Sent Folder problem before reading his comment but perhaps it is related. I even made a filter to handle Junk mail to move messages marked Junk to the Trash folder and delete the POP message. That only works sometimes.

Comment 53

4 years ago
I have the problem using POP3 on TB 24.5.  Problem started 2 days ago.  Sent mail is not saved, no matter what local folder I tell it to save in.

Comment 54

4 years ago
I cannot restart TB before each email, because TB always crashes upon restart.  The only way to restart it is to log off and on Windows 7.

Comment 55

4 years ago
@Dan Meek
I think you should first sort out why TB crashes after each restart…

@Everyone
Please keep in mind WADA's comment #29:
"This bug is not for generic issue of "'Copying to sent folder' message doesn't finish".
As written in bug summary, this bug is for "even though saving to Sent is successfully done" case. This bug is never for problem of "saving to Sent fails" or "saving to Sent is impossible".
Please don't add comment on different problem from this bug's problem, unless analysis of different case will surely help to resolve this bug's problem."

Comment 56

4 years ago
Given that the long-standing problem that many are having with TB failing to save drafts and sent mails (causing loss of data) can't be discussed here, can someone add a comment pointing to the correct bug for this problem.

The best I could find was bug 946707. Is there a better one, or should I create a new one?

Comment 57

4 years ago
There are many open bugs about issues while saving drafts or sent messages, just search for "message sent folder" or "message draft folder". Perhaps it would be better to discuss the two issues in separate bugs, though.
For issues about saving messages to the Sent folder I found these bugs that seems the most relevant to me:
• Bug 883507Bug 543746Bug 342367

Comment 58

4 years ago
This is an issue which has been intermittent for many years. 
Today I noticed it could be related to the security certificate.

I tried the following when the error started. I usually send in the background. So in the foreground I got the message confirm security exception. This is probably the reason people who switch from ssl/starttls sometimes are able to send. 

For the case of extensions. I have blunderdelay and used to have signature switch. The not saved issue was a LOT more if I had signature switch.

Also the signatures or forwarded messages (especially) have links to other images and this is a major issue in the saving or sending for thunderbird. 

To confirm the repeatibility of this, do the following. Close thunderbird. Open compose a new message and send in the foreground. It has a high chance of going. If you forward a message with images of signatures, expect a high chance of the not able to save message to pop up. I think thunderbird is renaming the links and then trying to access them.
This is confounded by the security certificate and the extensions like signature switch also. 

This results in a very hard to reproduce error because there are at least 3 causes which can pop up at any time.

To prove this, compose a new email. Cut out all the signatures to make a blank message and it has a very high chance of being sent and saved.

I hope this helps in finding the pain of a bug. 

-- Khawar Nehal 
http://dubai-computer-services.com

Comment 59

4 years ago
Also I am using only local folders for saving everything so I think it is not an IMAP issue.
Please reduce the timeouts for saving links in emails and then it may get solved. 
-- Khawar

Comment 60

4 years ago
Me too

Comment 61

4 years ago
I too am having this problem on pop account
// Lance Otis
FYI.
mail.compose.max_recycled_windows=0 is perhaps a easiest workaround.
Whiteboard: [has protocol log] → [mail.compose.max_recycled_windows=0 is perhaps a workaround][has protocol log]

Comment 63

4 years ago
I few days ago i tried something new.

Tried chmod 777 .thunderbird and 
chmod 777 .thunderbird/* -R & 

Started thunderbird and it worked. 

Checked if some directories were changed from 777 to lower permissions by TB and saw some folders and files where marked down by TB operations. 

So maybe we need to prevent TB from reducing the permissions and then getting stuck writing to the folder or file it writes down. 

An example of marking down in local folders

2

.thunderbird/hx0vy64e.default/Mail/Local Folders:
total 3845216
-rw-------  1 khawar khawar   34063605 Jul  8 13:48 facebook
-rw-rw-r--  1 khawar khawar    1129628 Jul  8 13:48 facebook.msf
-rw-------  1 khawar khawar   37525043 Jul  8 13:52 from_google
-rw-rw-r--  1 khawar khawar     928645 Jul  8 13:52 from_google.msf
-rw-------  1 khawar khawar  154191311 Jul  8 13:52 from_public_address
-rw-rw-r--  1 khawar khawar     833068 Jul  8 13:52 from_public_address.msf
-rw-------  1 khawar khawar          0 Jul  8 13:48 Unsent Messages
-rw-rw-r--  1 khawar khawar       2507 Jul  8 13:51 Unsent Messages.msf

I hope this helps. 

If I do chmod 777 -R  again then start TB and send it does not have a problem saving after sending.

Thanks. 

Please fix and inform so I can update this bug. 

Otherwise we might have to enter chmod 777 in bashrc until it is done.

Comment 64

4 years ago
I ran into this and have chmod 777 -R in my bashrc. 
Less chances of it occuring now. 
After this occured today I did the chmod 777 / restart thunderbird and still it did not solve it.
So then I disabled signature switch and restarted. 
This solved the issue for today. 
Still a high probability with signature switch enabled.
If someone could look into what changes the signature switch addon does, it may lead somewhere.

-- Khawar 
http://dubai-computer-services.com

Comment 65

4 years ago
Tried with mail.compose.max_recycled_windows=0
Works ok
Tried with signature switch after mail.compose.max_recycled_windows=0 
Also works ok. 

Working ok for now.

Comment 66

4 years ago
New update. 
 mail.compose.max_recycled_windows=0 is not working. 
The only thing that is working is chmod 777 -R on thunderbird folders. 

That means with all extensions disabled and  mail.compose.max_recycled_windows=0 the issue seems to be narrowed down to 
permissions. 

Here is the way it works. 

Chmod 777 
run thunderbird (ok) 
After a while like a few hours it stops working. 
so thunderbird needs to be closed. 
Closed means it terminates completely itself or is killed. Does not matter. The process needs to be finished. 
chmod 777 again 
Start thunderbird and it works. 
No extensions. 

Summary 
During operations thunderbird retrieves mails and stores them in folders. Also sorts and filters. 
During this time it changes the permissions to be more restrictive. It should be told no to do that. 
Then when someone sends a mail now or later option it says it is waiting to store it. 


Regards, 

Khawar 

http://dubai-computer-services.com

Comment 67

4 years ago
My version is 24.6.0

Comment 68

4 years ago
Hi, not sure where to post this as there are several bug reports.

During the past few days I had weird behavior in TB:
- filters not working
- unable to delete messages
- copying to sent folder not finishing

All this was caused (I presume) by my router being hacked and have its DNS server changed.
When I set the preferred DNS server back to 8.8.8.8 (Google's) my problems were gone after restarting TB.

If you google "router dns hacked" you can learn about the attack
In my case, my D-Link DSL-2740R had its primary DNS set to 217.12.221.100
got fixed by changing the

Comment 69

4 years ago
(In reply to Khawar Nehal from comment #67)
> My version is 24.6.0

Hi, Khawar,

Thanks for your ongoing attention to this problem, which I think has several variants, but I'm thinking at the end of the day it is one basic problem.

Is this your latest thinking on this.:

Here is the way it works. 

Chmod 777 
run thunderbird (ok) 
After a while like a few hours it stops working. 
so thunderbird needs to be closed. 
Closed means it terminates completely itself or is killed. Does not matter. The process needs to be finished. 
chmod 777 again 
Start thunderbird and it works. 
No extensions. 

Summary 
During operations thunderbird retrieves mails and stores them in folders. Also sorts and filters. 
During this time it changes the permissions to be more restrictive. It should be told no to do that. 
Then when someone sends a mail now or later option it says it is waiting to store it. 


IS THERE SOMETHING WE CAN DO TO GET THE ATTENTION of developers and have this addressed?

Updated

4 years ago
Assignee: mozilla → nobody
Blocks: 543746

Comment 70

4 years ago
HEAR HEAR. This problem is so annoying and so old. PLEASE GIVE IT ATTENTION.
I am looking for an alternative for TB. Not so easy...

Comment 71

4 years ago
Please.

It is not that the problem is "annoying".

This is much more than an "annoyance", it prevents normal fundamental basic operation of the mail program!!!

And it makes it unusable ... for the expected normal fundamental operation ... to our end-users.

What I have had to do ... for the key people ... is to tell them to set their save-to-sent to go to LOCAL,

And then, every night, I drag all their day's sent mail to their imap sent folder.

The save-to-sent works perfectly fine when saving to Local Sent.  It is when saving to imap sent that it hangs forever.

For other people, I simply tell them to do that.  Configure the account for save to sent to LOCAL, and then at the end of the day, I tell them to drag to their imap Sent.

It is some kind of problem "talking" to the imap server ... it is not specific to any server, it is not a configuration issue ... it is a coding / programming issue ... I have seen it on multiple locations, in multiple installations, with multiple email providers,  with multiple isp providers.

This is a *thunderbird* problem ... and a very serious one.

Please someone pick this up, and I will be happy to help in any way that I am able to!

Comment 72

4 years ago
I can't f'king believe it after 3 years ago I found this bug as well, this bug still exists. Fortunately, I don't use TB anymore.

And I just notice that this is 6 years bug (hell yeah).

Comment 73

4 years ago
Please express your interest in this bug by CCing without comment, unless you are providing previously unknown information or providing the patch, or providing information requested by a developer.
User Story: (updated)
Summary: after sending message, "Copying to sent folder" doesn't finish even after Save to Sent is successfull, or zombie "Copy complete" is generated after successfull Save to Sent → Save to Sent was successful, but "Copying to sent folder" doesn't finish, or zombie "Copy complete"
Whiteboard: [mail.compose.max_recycled_windows=0 is perhaps a workaround][has protocol log] → [no "me too" comments][mail.compose.max_recycled_windows=0 is perhaps a workaround][has protocol log]

Comment 74

4 years ago
Hi all,

I apologized for what I said above, I aware it was not proper. I just don't want to receive this bug mail anymore.


I'm out of this bug.

Comment 75

4 years ago
Wayne, despite all the recent comments about errors saving to the IMAP sent folder, do you agree that this bug is not about those issues, as per WADA's comment 39?

Comment 76

4 years ago
(In reply to Andrea Govoni from comment #75)
> Wayne, despite all the recent comments about errors saving to the IMAP sent
> folder, do you agree that this bug is not about those issues, as per WADA's
> comment 39?

I can't say whether the initial conditions of the bug exist as laid out in comment 0, but comment 0 and other early comments state save was successful. Further, I suggest some of the key comments are comment 4, comment 21, comment 22, comment 39.  Whether they all agree with each other is a different matter.

No doubt however, the various comments over time describe more than one problem.

Comment 77

4 years ago
I CC'ed to this bug as it occurred to me exactly as described by the original reporter Nelson Bolyard: ‘Save to Sent was successful, but "Copying to sent folder" doesn't finish, or zombie "Copy complete"’ in SeaMonkey Mail for years, starting with the first Alpha version.  This had apparently nothing to do with IMAP, as I was using several POP accounts and an array of local folders and the error occurred when sending from a POP account. At some point after 2012 the error has ceased to occur for me (keeping the same profile). It seems to me that there have been at least two different bugs with similar symptoms, which obviously has made it difficult to analyze. Anyway, it 'works for me' so I will un-CC from this bug.

Comment 78

4 years ago
Nobody will cure this problem, because it is not reproductible "at will" - So, it's better to close this issue.

Comment 79

4 years ago
Just find the location in code where TB changes the permission or sets them on the folders. This shall solve the issue. 
Stop TB from changing (reducing) the permissions in the folders it is going to write to. 

I like TB and need it for vtiger. Having to have to use sylpheed for now. Please fix the permissions setting issue. Anyone. 

Regards, 
Khawar 
http://dubai-computer-services.com
(In reply to niek from comment #77)
> At some point after 2012, the error has ceased to occur for me (keeping the same profile).

It's simply because Tb's behaviour with mail.compose.max_recycled_windows=N(defaulted to 1) depends on Bug 866223.
(1)  Before patch for Bug 777063 : (prior to Tb 17)
       Bug 866223 doesn't exist. Composition window is cached and is re-used if mail.compose.max_recycled_windows=1.
(2)  After patch for Bug 777063 and before fix of Bug 866223 : (Tb 17 to Tb 23)
       Bug 866223 occurs. Composition window is never nor caached/re-used even if mail.compose.max_recycled_windows=1
       Tb behaces aas if mail.compose.max_recycled_windows=0 regrdless of mail.compose.max_recycled_windows.
       i.e. "Workaround of mail.compose.max_recycled_windows=0" was automtically applied in this period.
(3)  After fix of Bug 866223 : (Tb 24 or newer)
       Bug 866223 is fixed. Composition window is cached and is re-used if mail.compose.max_recycled_windows=1.

Comment 81

3 years ago
Instead of closing the issue as its does happen and not reproducible at will, can additional debug messages be added in the Activity Monitor window? From what I can see when a mail server is not as responsive Thunderbird re-tries to send the "Save to Sent" e-mail to the server or asks it to save it to the Sent folder or the mail server is just not responding in the proper amount of time due to being overloaded, hence the multiple copies in the Sent/Cc folder. If we could determine if Thunderbird is resending or if its command is being read twice by the mail server maybe it can be pinpointed as to the cause of the duplicates?

Comment 82

3 years ago
I have been having same issues " save to drafts/ save to sent" since 12/8/14 and have been in touch with windstream ISP for that long and seem to have some of the problem resolved. I have a string of messages in the Activity Monitor window.

Comment 83

3 years ago
For those subscribed to this bug, but are actually getting nothing saved to Send or Drafts when a saving dialog hangs (data loss), plus the symptom of filtered and junk messages not being moved out of Inboxes, take a look at Bug 946707, where I describe this problem as being no longer present in the current TB Daily (TB 42.0a1), though it's still present in the current 31.6 release.

Comment 84

3 years ago
I am having the same problem on windows 7 64 bit with Thunderbird 38.1.0. When ever I send a message to my imap server. I cannot save message to sent folder. The message gets sent through my smtp server but I cannot save the message to the imap server.

Comment 85

3 years ago
(In reply to Brian J.F. Herman from comment #84)
> I am having the same problem on windows 7 64 bit with Thunderbird 38.1.0.
> When ever I send a message to my imap server. I cannot save message to sent
> folder. The message gets sent through my smtp server but I cannot save the
> message to the imap server.

This is not the same problem.
The problem here is that the sended message goes well to the sent folder, BUT, SM indicates by a pop-up endlessly "Copying to send folder" or "Copy complete".

Comment 86

2 years ago
I'm having issues with Windows 10 Thunderbird 42. I send emails; they are successful, but Thunderbird sits forever saying 'copying to sent folder' then errors out. I can go to Gmail and see it was sent, so the issue is with Thunderbird not being able to copy a file.

Comment 87

2 years ago
I'm having issues with Windows 10 Thunderbird 42. I send emails; they are successful, but Thunderbird sits forever saying 'copying to sent folder' then errors out. I can go to Gmail and see it was sent, so the issue is with Thunderbird not being able to copy a file.

Comment 88

11 months ago
I have a user experiencing the same problem as well on Windows 10. The IMAP server is across an ocean FWIW and the user has multiple accounts on the same IMAP server. It seems like Thunderbird gets confused during copy and may be trying to hold open the socket when the the connection may have dropped. Restarting Thunderbird (and losing the copy of the message) is the only way I can get it to start talking to the IMAP server again.

Comment 89

7 months ago
Please check if this bug was fixed in Thunderbird 52.1.1.

Fixed: "Large attachments may not be shown or saved correctly if the message is stored in an IMAP folder which is not synchronized for offline use" - https://www.mozilla.org/en-US/thunderbird/52.1.1/releasenotes/


Release notes for older versions:

https://www.mozilla.org/en-US/thunderbird/52.0/releasenotes/
https://www.mozilla.org/en-US/thunderbird/52.0.1/releasenotes/
https://www.mozilla.org/en-US/thunderbird/52.1.0/releasenotes/

"Large attachments may not be shown or saved correctly if the message is stored in an IMAP folder which is not synchronized for offline use. Workaround: Set preference browser.cache.memory.max_entry_size to the value of -1 (unlimited) and create integer preference browser.cache.memory.capacity with the value of 200000 (200 MB, 25 MB per message)."

Comment 90

3 months ago
This happens to me when I set the Sent folder to "Inbox" itself.

Comment 91

3 months ago
I only saw this behavior for Gmail. I resolved this issue with a configuration change for Gmail accounts, unchecking the box to auto-save to the server Sent folder. Gmail will do this on the back end automatically, so copying to this folder was apparently hitting an IMAP timeout or conflicting with the currently existing Sent copy. It turned sending mail from a constant annoyance into an instant action. Sent folder does not then update automatically, but the next time I open it, the sent messages are all pulled from the server.

If this (NOT copying to server Sent folder) is not the default config for Gmail accounts set up by Tb it really should be; I manually configure these accounts (out of habit, and because one is a university-hosted Gmail that can't be auto-set up) so I can't say for sure if this is how it normally works.

(57.0b1, macOS 10.13)
You need to log in before you can comment on or make changes to this bug.